/** @type {import('next').NextConfig} */
const fs = require("fs");

const gameConfigContent = fs.readFileSync("config/game-config.json", "utf-8");
const gameConfig = JSON.parse(gameConfigContent);

const nextConfig = {
  experimental: {
    appDir: true,
  },
  env: {
    gameConfig: gameConfig,
  },
};

module.exports = nextConfig;
